Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516328 - Review Request: rubygem-guard-compat - Tools for developing Guard compatible plugins
Summary: Review Request: rubygem-guard-compat - Tools for developing Guard compatible ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1268695 (view as bug list)
Depends On:
Blocks: 1268696 1268698
TreeView+ depends on / blocked
 
Reported: 2017-11-22 13:47 UTC by Jaroslav Prokop
Modified: 2017-12-18 15:27 UTC (History)
3 users (show)

Fixed In Version: rubygem-guard-compat-1.2.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-18 15:27:43 UTC
vondruch: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1268695 None None None Never

Internal Links: 1268695

Comment 1 Vít Ondruch 2017-11-22 13:49:16 UTC
I'll take it for a review and I can sponsor you as well.

Comment 2 Ilya Gradina 2017-11-23 18:14:17 UTC
*** Bug 1268695 has been marked as a duplicate of this bug. ***

Comment 3 Vít Ondruch 2017-11-27 14:55:34 UTC
* Hidden files
  - rpmlint complains:

~~~
rubygem-guard-compat.noarch: W: hidden-file-or-dir /usr/share/gems/gems/guard-compat-1.2.1/.rubocop_todo.yml
~~~

    but it would be probably good idea to get rid of all the hidden file by one
    sweep, e.g. to replace:

~~~
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.rspec
~~~

    by just single line:

~~~
%exclude %{gem_instdir}/.*
~~~

* Missing URL
  - There is no URL tag in the .spec file. There should probably be some, e.g.:

~~~
URL: https://github.com/guard/guard-compat
~~~

Otherwise the package looks good. Please fix these two nits and I'll approve this package.

Comment 5 Vít Ondruch 2017-12-14 17:35:06 UTC
Thx. I can't see any other issue with the package => APPROVED. Please continue
with the SCM request, import and build of the package:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Pack
age_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

Comment 6 Gwyn Ciesla 2017-12-15 18:20:14 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rubygem-guard-compat


Note You need to log in before you can comment on or make changes to this bug.